macOS sierra

upgraded to macOS Sierra and now my Quicken Essentials for Mac purchased June of 2012 will not open. 

Comments

  • John_in_NCJohn_in_NC SuperUser ✭✭✭✭
    edited March 2017
    Apple has removed support for some key technologies used by Essentials. It is an unsupported application and will not be updated.

    You will have to migrate to 2016. Your data file is unaffected.
  • Dereck LoveDereck Love Member
    edited March 2017
    This reply was created from a merged topic originally titled Quicken Essentials and MacOS Sierra.


    Quicken Essentials for Mac ( 2013?) cannot be launched using macOS Sierra. What is the solution?
  • volvogirlvolvogirl SuperUser ✭✭✭✭
    edited December 2016

    This reply was created from a merged topic originally titled Quicken Essentials and MacOS Sierra.


    Quicken Essentials for Mac ( 2013?) cannot be launched using macOS Sierra. What is the solution?

    Same answer as above. You have to buy the newer version of Quicken.
  • Becky HulsBecky Huls Member
    edited October 2016
    If you need to, go to purchases in Apple Store and download prior OS and Quicken will work again until Quicken comes up with an update.  Don't buy a new Quicken product!!!  I'm sure they will update or you can get a new one for free if you buy Turbo Tax.
Sign In or Register to comment.